Bug 653699 - Add a patch to work with libnotify-0.7
Summary: Add a patch to work with libnotify-0.7
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 23:34 UTC by Owen Taylor
Modified: 2011-02-15 22:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 03:05:06 UTC
Type: ---


Attachments (Terms of Use)
Patch to work with libnotify-0.7 (3.41 KB, patch)
2010-11-15 23:34 UTC, Owen Taylor
no flags Details | Diff

Description Owen Taylor 2010-11-15 23:34:54 UTC
Created attachment 460694 [details]
Patch to work with libnotify-0.7

Here's a patch that is needed to make notifications work properly
with libnotify-0.7 in Rawhide. Without this patch it falls back to
using the libnotify-send command line tool for notifications and things
get a bit weird (like the message shows up in GNOME 3 as being from 
'notify-send') Is it OK if I push and build this into Rawhide?

Comment 1 Kevin Kofler 2010-11-16 00:46:39 UTC
Yes, go ahead!

Comment 2 Owen Taylor 2010-11-16 03:05:06 UTC
Built into rawhide as xchat-2.8.8-5.fc15

Comment 3 Bruce Cowan 2011-02-15 22:36:20 UTC
Notifications in Fedora 15's xchat show up as being from "notify-send" in gnome-shell.


Note You need to log in before you can comment on or make changes to this bug.